Pages and min_racer problem

Hi guys

I forked a repo in github and tried to deploy it but

2022-07-18T07:15:38.305513Z	Cloning repository...
2022-07-18T07:15:39.364181Z	From https://github.com/adehghanzadeh/Jekyll_al-folio
2022-07-18T07:15:39.364677Z	 * branch            c255f778bdd967e62e97eb2762bd11912a272af0 -> FETCH_HEAD
2022-07-18T07:15:39.364858Z	
2022-07-18T07:15:39.467764Z	HEAD is now at c255f77 Merge branch 'alshedivat:master' into cloudflare
2022-07-18T07:15:39.468227Z	
2022-07-18T07:15:39.606933Z	
2022-07-18T07:15:39.631606Z	Success: Finished cloning repository files
2022-07-18T07:15:40.226283Z	Installing dependencies
2022-07-18T07:15:40.236889Z	Python version set to 2.7
2022-07-18T07:15:43.400719Z	v12.18.0 is already installed.
2022-07-18T07:15:43.400719Z	v12.18.0 is already installed.
2022-07-18T07:15:44.537455Z	Now using node v12.18.0 (npm v6.14.4)
2022-07-18T07:15:44.743718Z	Started restoring cached build plugins
2022-07-18T07:15:44.757421Z	Finished restoring cached build plugins
2022-07-18T07:15:45.201383Z	Attempting ruby version 2.7.1, read from environment
2022-07-18T07:15:48.450179Z	Using ruby version 2.7.1
2022-07-18T07:15:48.791643Z	Using PHP version 5.6
2022-07-18T07:15:48.792392Z	Started restoring cached ruby gems
2022-07-18T07:15:48.806899Z	Finished restoring cached ruby gems
2022-07-18T07:15:48.808477Z	Installing gem bundle
2022-07-18T07:15:49.072403Z	[DEPRECATED] The `--path` flag is deprecated because it relies on being remembered across bundler invocations, which bundler will no longer do in future versions. Instead please use `bundle config set path '/opt/buildhome/cache/bundle'`, and stop using this flag
2022-07-18T07:15:49.214183Z	[DEPRECATED] The --binstubs option will be removed in favor of `bundle binstubs`
2022-07-18T07:15:52.200579Z	Fetching gem metadata from https://rubygems.org/........
2022-07-18T07:15:52.323276Z	Fetching gem metadata from https://rubygems.org/.
2022-07-18T07:15:52.524261Z	Resolving dependencies...
2022-07-18T07:15:52.585957Z	Fetching concurrent-ruby 1.1.10
2022-07-18T07:15:52.722843Z	Installing concurrent-ruby 1.1.10
2022-07-18T07:15:52.942768Z	Fetching i18n 1.12.0
2022-07-18T07:15:53.013775Z	Installing i18n 1.12.0
2022-07-18T07:15:53.085461Z	Fetching minitest 5.16.2
2022-07-18T07:15:53.149391Z	Installing minitest 5.16.2
2022-07-18T07:15:53.198707Z	Fetching tzinfo 2.0.4
2022-07-18T07:15:53.259101Z	Installing tzinfo 2.0.4
2022-07-18T07:15:53.338684Z	Fetching activesupport 7.0.3.1
2022-07-18T07:15:53.412604Z	Installing activesupport 7.0.3.1
2022-07-18T07:15:53.769401Z	Fetching public_suffix 4.0.7
2022-07-18T07:15:53.828283Z	Installing public_suffix 4.0.7
2022-07-18T07:15:53.895547Z	Fetching addressable 2.8.0
2022-07-18T07:15:53.968575Z	Installing addressable 2.8.0
2022-07-18T07:15:54.013765Z	Fetching latex-decode 0.3.2
2022-07-18T07:15:54.068139Z	Installing latex-decode 0.3.2
2022-07-18T07:15:54.108902Z	Fetching bibtex-ruby 6.0.0
2022-07-18T07:15:54.171944Z	Installing bibtex-ruby 6.0.0
2022-07-18T07:15:54.277861Z	Using bundler 2.1.4
2022-07-18T07:15:54.279530Z	Fetching namae 1.1.1
2022-07-18T07:15:54.333397Z	Installing namae 1.1.1
2022-07-18T07:15:54.378843Z	Fetching citeproc 1.0.10
2022-07-18T07:15:54.434273Z	Installing citeproc 1.0.10
2022-07-18T07:15:54.477311Z	Fetching rexml 3.2.5
2022-07-18T07:15:54.534494Z	Installing rexml 3.2.5
2022-07-18T07:15:54.627366Z	Fetching csl 1.6.0
2022-07-18T07:15:54.686444Z	Installing csl 1.6.0
2022-07-18T07:15:54.753577Z	Fetching citeproc-ruby 1.1.14
2022-07-18T07:15:54.810824Z	Installing citeproc-ruby 1.1.14
2022-07-18T07:15:54.863459Z	Fetching colorator 1.1.0
2022-07-18T07:15:54.912365Z	Installing colorator 1.1.0
2022-07-18T07:15:54.931029Z	Fetching crass 1.0.6
2022-07-18T07:15:54.979413Z	Installing crass 1.0.6
2022-07-18T07:15:55.004696Z	Fetching csl-styles 1.0.1.11
2022-07-18T07:15:55.335899Z	Installing csl-styles 1.0.1.11
2022-07-18T07:16:07.461812Z	Fetching cssminify2 2.0.1
2022-07-18T07:16:07.586352Z	Installing cssminify2 2.0.1
2022-07-18T07:16:07.730899Z	Fetching eventmachine 1.2.7
2022-07-18T07:16:07.809147Z	Installing eventmachine 1.2.7 with native extensions
2022-07-18T07:16:21.392274Z	Fetching http_parser.rb 0.8.0
2022-07-18T07:16:21.458743Z	Installing http_parser.rb 0.8.0 with native extensions
2022-07-18T07:16:22.659062Z	Fetching em-websocket 0.5.3
2022-07-18T07:16:22.716061Z	Installing em-websocket 0.5.3
2022-07-18T07:16:22.787588Z	Fetching execjs 2.8.1
2022-07-18T07:16:22.833246Z	Installing execjs 2.8.1
2022-07-18T07:16:22.864426Z	Fetching mini_portile2 2.8.0
2022-07-18T07:16:22.934981Z	Installing mini_portile2 2.8.0
2022-07-18T07:16:22.981397Z	Fetching racc 1.6.0
2022-07-18T07:16:23.040803Z	Installing racc 1.6.0 with native extensions
2022-07-18T07:16:24.125402Z	Fetching nokogiri 1.13.7 (x86_64-linux)
2022-07-18T07:16:24.345978Z	Installing nokogiri 1.13.7 (x86_64-linux)
2022-07-18T07:16:24.845930Z	Fetching loofah 2.18.0
2022-07-18T07:16:24.900894Z	Installing loofah 2.18.0
2022-07-18T07:16:24.935432Z	Fetching sax-machine 1.3.2
2022-07-18T07:16:24.987244Z	Installing sax-machine 1.3.2
2022-07-18T07:16:25.030590Z	Fetching feedjira 3.2.1
2022-07-18T07:16:25.124969Z	Installing feedjira 3.2.1
2022-07-18T07:16:25.299719Z	Fetching ffi 1.15.5
2022-07-18T07:16:25.418471Z	Installing ffi 1.15.5 with native extensions
2022-07-18T07:16:33.611572Z	Fetching forwardable-extended 2.6.0
2022-07-18T07:16:33.663036Z	Installing forwardable-extended 2.6.0
2022-07-18T07:16:33.678782Z	Fetching gemoji 3.0.1
2022-07-18T07:16:33.758971Z	Installing gemoji 3.0.1
2022-07-18T07:16:33.801408Z	Fetching html-pipeline 2.14.2
2022-07-18T07:16:33.855944Z	Installing html-pipeline 2.14.2
2022-07-18T07:16:33.905514Z	Fetching htmlcompressor 0.4.0
2022-07-18T07:16:33.963317Z	Installing htmlcompressor 0.4.0
2022-07-18T07:16:34.153010Z	Fetching mime-types-data 3.2022.0105
2022-07-18T07:16:34.228291Z	Installing mime-types-data 3.2022.0105
2022-07-18T07:16:34.292624Z	Fetching mime-types 3.4.1
2022-07-18T07:16:34.349430Z	Installing mime-types 3.4.1
2022-07-18T07:16:34.399471Z	Fetching multi_xml 0.6.0
2022-07-18T07:16:34.448987Z	Installing multi_xml 0.6.0
2022-07-18T07:16:34.474890Z	Fetching httparty 0.20.0
2022-07-18T07:16:34.532683Z	Installing httparty 0.20.0
2022-07-18T07:16:34.616141Z	Fetching sassc 2.4.0
2022-07-18T07:16:34.699490Z	Installing sassc 2.4.0 with native extensions
2022-07-18T07:15:44.537455Z	Now using node v12.18.0 (npm v6.14.4)
2022-07-18T07:15:44.743718Z	Started restoring cached build plugins
2022-07-18T07:15:44.757421Z	Finished restoring cached build plugins
2022-07-18T07:15:45.201383Z	Attempting ruby version 2.7.1, read from environment
2022-07-18T07:15:48.450179Z	Using ruby version 2.7.1
2022-07-18T07:15:48.791643Z	Using PHP version 5.6
2022-07-18T07:15:48.792392Z	Started restoring cached ruby gems
2022-07-18T07:15:48.806899Z	Finished restoring cached ruby gems
2022-07-18T07:15:48.808477Z	Installing gem bundle
2022-07-18T07:15:49.072403Z	[DEPRECATED] The `--path` flag is deprecated because it relies on being remembered across bundler invocations, which bundler will no longer do in future versions. Instead please use `bundle config set path '/opt/buildhome/cache/bundle'`, and stop using this flag
2022-07-18T07:15:49.214183Z	[DEPRECATED] The --binstubs option will be removed in favor of `bundle binstubs`
2022-07-18T07:15:52.200579Z	Fetching gem metadata from https://rubygems.org/........
2022-07-18T07:15:52.323276Z	Fetching gem metadata from https://rubygems.org/.
2022-07-18T07:15:52.524261Z	Resolving dependencies...
2022-07-18T07:15:52.585957Z	Fetching concurrent-ruby 1.1.10
2022-07-18T07:15:52.722843Z	Installing concurrent-ruby 1.1.10
2022-07-18T07:15:52.942768Z	Fetching i18n 1.12.0
2022-07-18T07:15:53.013775Z	Installing i18n 1.12.0
2022-07-18T07:15:53.085461Z	Fetching minitest 5.16.2
2022-07-18T07:15:53.149391Z	Installing minitest 5.16.2
2022-07-18T07:15:53.198707Z	Fetching tzinfo 2.0.4
2022-07-18T07:15:53.259101Z	Installing tzinfo 2.0.4
2022-07-18T07:15:53.338684Z	Fetching activesupport 7.0.3.1
2022-07-18T07:15:53.412604Z	Installing activesupport 7.0.3.1
2022-07-18T07:15:53.769401Z	Fetching public_suffix 4.0.7
2022-07-18T07:15:53.828283Z	Installing public_suffix 4.0.7
2022-07-18T07:15:53.895547Z	Fetching addressable 2.8.0
2022-07-18T07:15:53.968575Z	Installing addressable 2.8.0
2022-07-18T07:15:54.013765Z	Fetching latex-decode 0.3.2
2022-07-18T07:15:54.068139Z	Installing latex-decode 0.3.2
2022-07-18T07:15:54.108902Z	Fetching bibtex-ruby 6.0.0
2022-07-18T07:15:54.171944Z	Installing bibtex-ruby 6.0.0
2022-07-18T07:15:54.277861Z	Using bundler 2.1.4
2022-07-18T07:15:54.279530Z	Fetching namae 1.1.1
2022-07-18T07:15:54.333397Z	Installing namae 1.1.1
2022-07-18T07:15:54.378843Z	Fetching citeproc 1.0.10
2022-07-18T07:15:54.434273Z	Installing citeproc 1.0.10
2022-07-18T07:15:54.477311Z	Fetching rexml 3.2.5
2022-07-18T07:15:54.534494Z	Installing rexml 3.2.5
2022-07-18T07:15:54.627366Z	Fetching csl 1.6.0
2022-07-18T07:15:54.686444Z	Installing csl 1.6.0
2022-07-18T07:15:54.753577Z	Fetching citeproc-ruby 1.1.14
2022-07-18T07:15:54.810824Z	Installing citeproc-ruby 1.1.14
2022-07-18T07:15:54.863459Z	Fetching colorator 1.1.0
2022-07-18T07:15:54.912365Z	Installing colorator 1.1.0
2022-07-18T07:15:54.931029Z	Fetching crass 1.0.6
2022-07-18T07:15:54.979413Z	Installing crass 1.0.6
2022-07-18T07:15:55.004696Z	Fetching csl-styles 1.0.1.11
2022-07-18T07:15:55.335899Z	Installing csl-styles 1.0.1.11
2022-07-18T07:16:07.461812Z	Fetching cssminify2 2.0.1
2022-07-18T07:16:07.586352Z	Installing cssminify2 2.0.1
2022-07-18T07:16:07.730899Z	Fetching eventmachine 1.2.7
2022-07-18T07:16:07.809147Z	Installing eventmachine 1.2.7 with native extensions
2022-07-18T07:16:21.392274Z	Fetching http_parser.rb 0.8.0
2022-07-18T07:16:21.458743Z	Installing http_parser.rb 0.8.0 with native extensions
2022-07-18T07:16:22.659062Z	Fetching em-websocket 0.5.3
2022-07-18T07:16:22.716061Z	Installing em-websocket 0.5.3
2022-07-18T07:16:22.787588Z	Fetching execjs 2.8.1
2022-07-18T07:16:22.833246Z	Installing execjs 2.8.1
2022-07-18T07:16:22.864426Z	Fetching mini_portile2 2.8.0
2022-07-18T07:16:22.934981Z	Installing mini_portile2 2.8.0
2022-07-18T07:16:22.981397Z	Fetching racc 1.6.0
2022-07-18T07:16:23.040803Z	Installing racc 1.6.0 with native extensions
2022-07-18T07:16:24.125402Z	Fetching nokogiri 1.13.7 (x86_64-linux)
2022-07-18T07:16:24.345978Z	Installing nokogiri 1.13.7 (x86_64-linux)
2022-07-18T07:16:24.845930Z	Fetching loofah 2.18.0
2022-07-18T07:16:24.900894Z	Installing loofah 2.18.0
2022-07-18T07:16:24.935432Z	Fetching sax-machine 1.3.2
2022-07-18T07:16:24.987244Z	Installing sax-machine 1.3.2
2022-07-18T07:16:25.030590Z	Fetching feedjira 3.2.1
2022-07-18T07:16:25.124969Z	Installing feedjira 3.2.1
2022-07-18T07:16:25.299719Z	Fetching ffi 1.15.5
2022-07-18T07:16:25.418471Z	Installing ffi 1.15.5 with native extensions
2022-07-18T07:16:33.611572Z	Fetching forwardable-extended 2.6.0
2022-07-18T07:16:33.663036Z	Installing forwardable-extended 2.6.0
2022-07-18T07:16:33.678782Z	Fetching gemoji 3.0.1
2022-07-18T07:16:33.758971Z	Installing gemoji 3.0.1
2022-07-18T07:16:33.801408Z	Fetching html-pipeline 2.14.2
2022-07-18T07:16:33.855944Z	Installing html-pipeline 2.14.2
2022-07-18T07:16:33.905514Z	Fetching htmlcompressor 0.4.0
2022-07-18T07:16:33.963317Z	Installing htmlcompressor 0.4.0
2022-07-18T07:16:34.153010Z	Fetching mime-types-data 3.2022.0105
2022-07-18T07:16:34.228291Z	Installing mime-types-data 3.2022.0105
2022-07-18T07:16:34.292624Z	Fetching mime-types 3.4.1
2022-07-18T07:16:34.349430Z	Installing mime-types 3.4.1
2022-07-18T07:16:34.399471Z	Fetching multi_xml 0.6.0
2022-07-18T07:16:34.448987Z	Installing multi_xml 0.6.0
2022-07-18T07:16:34.474890Z	Fetching httparty 0.20.0
2022-07-18T07:16:34.532683Z	Installing httparty 0.20.0
2022-07-18T07:16:34.616141Z	Fetching sassc 2.4.0
2022-07-18T07:16:34.699490Z	Installing sassc 2.4.0 with native extensions
2022-07-18T07:15:44.537455Z	Now using node v12.18.0 (npm v6.14.4)
2022-07-18T07:15:44.743718Z	Started restoring cached build plugins
2022-07-18T07:15:44.757421Z	Finished restoring cached build plugins
2022-07-18T07:15:45.201383Z	Attempting ruby version 2.7.1, read from environment
2022-07-18T07:15:48.450179Z	Using ruby version 2.7.1
2022-07-18T07:15:48.791643Z	Using PHP version 5.6
2022-07-18T07:15:48.792392Z	Started restoring cached ruby gems
2022-07-18T07:15:48.806899Z	Finished restoring cached ruby gems
2022-07-18T07:15:48.808477Z	Installing gem bundle
2022-07-18T07:15:49.072403Z	[DEPRECATED] The `--path` flag is deprecated because it relies on being remembered across bundler invocations, which bundler will no longer do in future versions. Instead please use `bundle config set path '/opt/buildhome/cache/bundle'`, and stop using this flag
2022-07-18T07:15:49.214183Z	[DEPRECATED] The --binstubs option will be removed in favor of `bundle binstubs`
2022-07-18T07:15:52.200579Z	Fetching gem metadata from https://rubygems.org/........
2022-07-18T07:15:52.323276Z	Fetching gem metadata from https://rubygems.org/.
2022-07-18T07:15:52.524261Z	Resolving dependencies...
2022-07-18T07:15:52.585957Z	Fetching concurrent-ruby 1.1.10
2022-07-18T07:15:52.722843Z	Installing concurrent-ruby 1.1.10
2022-07-18T07:15:52.942768Z	Fetching i18n 1.12.0
2022-07-18T07:15:53.013775Z	Installing i18n 1.12.0
2022-07-18T07:15:53.085461Z	Fetching minitest 5.16.2
2022-07-18T07:15:53.149391Z	Installing minitest 5.16.2
2022-07-18T07:15:53.198707Z	Fetching tzinfo 2.0.4
2022-07-18T07:15:53.259101Z	Installing tzinfo 2.0.4
2022-07-18T07:15:53.338684Z	Fetching activesupport 7.0.3.1
2022-07-18T07:15:53.412604Z	Installing activesupport 7.0.3.1
2022-07-18T07:15:53.769401Z	Fetching public_suffix 4.0.7
2022-07-18T07:15:53.828283Z	Installing public_suffix 4.0.7
2022-07-18T07:15:53.895547Z	Fetching addressable 2.8.0
2022-07-18T07:15:53.968575Z	Installing addressable 2.8.0
2022-07-18T07:15:54.013765Z	Fetching latex-decode 0.3.2
2022-07-18T07:15:54.068139Z	Installing latex-decode 0.3.2
2022-07-18T07:15:54.108902Z	Fetching bibtex-ruby 6.0.0
2022-07-18T07:15:54.171944Z	Installing bibtex-ruby 6.0.0
2022-07-18T07:15:54.277861Z	Using bundler 2.1.4
2022-07-18T07:15:54.279530Z	Fetching namae 1.1.1
2022-07-18T07:15:54.333397Z	Installing namae 1.1.1
2022-07-18T07:15:54.378843Z	Fetching citeproc 1.0.10
2022-07-18T07:15:54.434273Z	Installing citeproc 1.0.10
2022-07-18T07:15:54.477311Z	Fetching rexml 3.2.5
2022-07-18T07:15:54.534494Z	Installing rexml 3.2.5
2022-07-18T07:15:54.627366Z	Fetching csl 1.6.0
2022-07-18T07:15:54.686444Z	Installing csl 1.6.0
2022-07-18T07:15:54.753577Z	Fetching citeproc-ruby 1.1.14
2022-07-18T07:15:54.810824Z	Installing citeproc-ruby 1.1.14
2022-07-18T07:15:54.863459Z	Fetching colorator 1.1.0
2022-07-18T07:15:54.912365Z	Installing colorator 1.1.0
2022-07-18T07:15:54.931029Z	Fetching crass 1.0.6
2022-07-18T07:15:54.979413Z	Installing crass 1.0.6
2022-07-18T07:15:55.004696Z	Fetching csl-styles 1.0.1.11
2022-07-18T07:15:55.335899Z	Installing csl-styles 1.0.1.11
2022-07-18T07:16:07.461812Z	Fetching cssminify2 2.0.1
2022-07-18T07:16:07.586352Z	Installing cssminify2 2.0.1
2022-07-18T07:16:07.730899Z	Fetching eventmachine 1.2.7
2022-07-18T07:16:07.809147Z	Installing eventmachine 1.2.7 with native extensions
2022-07-18T07:16:21.392274Z	Fetching http_parser.rb 0.8.0
2022-07-18T07:16:21.458743Z	Installing http_parser.rb 0.8.0 with native extensions
2022-07-18T07:16:22.659062Z	Fetching em-websocket 0.5.3
2022-07-18T07:16:22.716061Z	Installing em-websocket 0.5.3
2022-07-18T07:16:22.787588Z	Fetching execjs 2.8.1
2022-07-18T07:16:22.833246Z	Installing execjs 2.8.1
2022-07-18T07:16:22.864426Z	Fetching mini_portile2 2.8.0
2022-07-18T07:16:22.934981Z	Installing mini_portile2 2.8.0
2022-07-18T07:16:22.981397Z	Fetching racc 1.6.0
2022-07-18T07:16:23.040803Z	Installing racc 1.6.0 with native extensions
2022-07-18T07:16:24.125402Z	Fetching nokogiri 1.13.7 (x86_64-linux)
2022-07-18T07:16:24.345978Z	Installing nokogiri 1.13.7 (x86_64-linux)
2022-07-18T07:16:24.845930Z	Fetching loofah 2.18.0
2022-07-18T07:16:24.900894Z	Installing loofah 2.18.0
2022-07-18T07:16:24.935432Z	Fetching sax-machine 1.3.2
2022-07-18T07:16:24.987244Z	Installing sax-machine 1.3.2
2022-07-18T07:16:25.030590Z	Fetching feedjira 3.2.1
2022-07-18T07:16:25.124969Z	Installing feedjira 3.2.1
2022-07-18T07:16:25.299719Z	Fetching ffi 1.15.5
2022-07-18T07:16:25.418471Z	Installing ffi 1.15.5 with native extensions
2022-07-18T07:16:33.611572Z	Fetching forwardable-extended 2.6.0
2022-07-18T07:16:33.663036Z	Installing forwardable-extended 2.6.0
2022-07-18T07:16:33.678782Z	Fetching gemoji 3.0.1
2022-07-18T07:16:33.758971Z	Installing gemoji 3.0.1
2022-07-18T07:16:33.801408Z	Fetching html-pipeline 2.14.2
2022-07-18T07:16:33.855944Z	Installing html-pipeline 2.14.2
2022-07-18T07:16:33.905514Z	Fetching htmlcompressor 0.4.0
2022-07-18T07:16:33.963317Z	Installing htmlcompressor 0.4.0
2022-07-18T07:16:34.153010Z	Fetching mime-types-data 3.2022.0105
2022-07-18T07:16:34.228291Z	Installing mime-types-data 3.2022.0105
2022-07-18T07:16:34.292624Z	Fetching mime-types 3.4.1
2022-07-18T07:16:34.349430Z	Installing mime-types 3.4.1
2022-07-18T07:16:34.399471Z	Fetching multi_xml 0.6.0
2022-07-18T07:16:34.448987Z	Installing multi_xml 0.6.0
2022-07-18T07:16:34.474890Z	Fetching httparty 0.20.0
2022-07-18T07:16:34.532683Z	Installing httparty 0.20.0
2022-07-18T07:16:34.616141Z	Fetching sassc 2.4.0
2022-07-18T07:16:34.699490Z	Installing sassc 2.4.0 with native extensions
2022-07-18T07:18:53.514990Z	Fetching jekyll-sass-converter 2.2.0
2022-07-18T07:18:53.571151Z	Installing jekyll-sass-converter 2.2.0
2022-07-18T07:18:53.588938Z	Fetching rb-fsevent 0.11.1
2022-07-18T07:18:53.646891Z	Installing rb-fsevent 0.11.1
2022-07-18T07:18:53.690931Z	Fetching rb-inotify 0.10.1
2022-07-18T07:18:53.734955Z	Installing rb-inotify 0.10.1
2022-07-18T07:18:53.767348Z	Fetching listen 3.7.1
2022-07-18T07:18:53.856327Z	Installing listen 3.7.1
2022-07-18T07:18:53.912993Z	Fetching jekyll-watch 2.2.1
2022-07-18T07:18:53.965089Z	Installing jekyll-watch 2.2.1
2022-07-18T07:18:53.981268Z	Fetching kramdown 2.4.0
2022-07-18T07:18:54.048164Z	Installing kramdown 2.4.0
2022-07-18T07:18:54.793074Z	Fetching kramdown-parser-gfm 1.1.0
2022-07-18T07:18:54.844324Z	Installing kramdown-parser-gfm 1.1.0
2022-07-18T07:18:54.898585Z	Fetching liquid 4.0.3
2022-07-18T07:18:54.959029Z	Installing liquid 4.0.3
2022-07-18T07:18:55.088465Z	Fetching mercenary 0.4.0
2022-07-18T07:18:55.179893Z	Installing mercenary 0.4.0
2022-07-18T07:18:55.222002Z	Fetching pathutil 0.16.2
2022-07-18T07:18:55.269626Z	Installing pathutil 0.16.2
2022-07-18T07:18:55.285796Z	Fetching rouge 3.29.0
2022-07-18T07:18:55.523424Z	Installing rouge 3.29.0
2022-07-18T07:18:56.152609Z	Fetching safe_yaml 1.0.5
2022-07-18T07:18:56.215942Z	Installing safe_yaml 1.0.5
2022-07-18T07:18:56.286180Z	Fetching unicode-display_width 1.8.0
2022-07-18T07:18:56.336002Z	Installing unicode-display_width 1.8.0
2022-07-18T07:18:56.355793Z	Fetching terminal-table 2.0.0
2022-07-18T07:18:56.404830Z	Installing terminal-table 2.0.0
2022-07-18T07:18:56.437440Z	Fetching jekyll 4.2.2
2022-07-18T07:18:56.515931Z	Installing jekyll 4.2.2
2022-07-18T07:18:56.683370Z	Fetching jekyll-archives 2.2.1
2022-07-18T07:18:56.736442Z	Installing jekyll-archives 2.2.1
2022-07-18T07:18:56.748070Z	Fetching jekyll-diagrams 0.10.0
2022-07-18T07:18:57.046183Z	Installing jekyll-diagrams 0.10.0
2022-07-18T07:18:57.406331Z	Fetching jekyll-email-protect 1.1.0
2022-07-18T07:18:57.455309Z	Installing jekyll-email-protect 1.1.0
2022-07-18T07:18:57.472943Z	Fetching jekyll-feed 0.16.0
2022-07-18T07:18:57.523053Z	Installing jekyll-feed 0.16.0
2022-07-18T07:18:57.543534Z	Fetching jekyll-imagemagick 1.4.0
2022-07-18T07:18:57.614329Z	Installing jekyll-imagemagick 1.4.0
2022-07-18T07:18:57.636919Z	Fetching json 2.6.2
2022-07-18T07:18:57.693982Z	Installing json 2.6.2 with native extensions
2022-07-18T07:19:01.025843Z	Fetching json-minify 0.0.3
2022-07-18T07:19:01.071827Z	Installing json-minify 0.0.3
2022-07-18T07:19:01.093870Z	Fetching uglifier 4.2.0
2022-07-18T07:19:01.166004Z	Installing uglifier 4.2.0
2022-07-18T07:19:01.212719Z	Fetching jekyll-minifier 0.1.10
2022-07-18T07:19:01.264032Z	Installing jekyll-minifier 0.1.10
2022-07-18T07:19:01.306155Z	Fetching jekyll-paginate-v2 3.0.0
2022-07-18T07:19:01.370812Z	Installing jekyll-paginate-v2 3.0.0
2022-07-18T07:19:01.418348Z	Fetching jekyll-scholar 7.1.0
2022-07-18T07:19:01.480659Z	Installing jekyll-scholar 7.1.0
2022-07-18T07:19:01.559075Z	Fetching jekyll-sitemap 1.4.0
2022-07-18T07:19:01.615190Z	Installing jekyll-sitemap 1.4.0
2022-07-18T07:19:01.698960Z	Fetching jekyll-target-blank 2.0.0
2022-07-18T07:19:01.783553Z	Installing jekyll-target-blank 2.0.0
2022-07-18T07:19:01.853148Z	Fetching jekyll-twitter-plugin 2.1.0
2022-07-18T07:19:01.952353Z	Installing jekyll-twitter-plugin 2.1.0
2022-07-18T07:19:02.009849Z	Fetching jemoji 0.12.0
2022-07-18T07:19:02.083095Z	Installing jemoji 0.12.0
2022-07-18T07:19:02.094529Z	Fetching libv8-node 16.10.0.0 (x86_64-linux-musl)
2022-07-18T07:19:03.579901Z	Installing libv8-node 16.10.0.0 (x86_64-linux-musl)
2022-07-18T07:19:06.099556Z	Fetching mini_racer 0.6.2
2022-07-18T07:19:06.150200Z	Installing mini_racer 0.6.2 with native extensions
2022-07-18T07:19:09.048070Z	Gem::Ext::BuildError: ERROR: Failed to build gem native extension.
2022-07-18T07:19:09.048408Z	
2022-07-18T07:19:09.048576Z	current directory:
2022-07-18T07:19:09.048708Z	/opt/buildhome/cache/bundle/ruby/2.7.0/gems/mini_racer-0.6.2/ext/mini_racer_extension
2022-07-18T07:19:09.048820Z	/opt/buildhome/.rvm/rubies/ruby-2.7.1/bin/ruby -I
2022-07-18T07:19:09.048941Z	/opt/buildhome/.rvm/rubies/ruby-2.7.1/lib/ruby/2.7.0 -r
2022-07-18T07:19:09.049051Z	./siteconf20220718-1208-6np8uj.rb extconf.rb
2022-07-18T07:19:09.049159Z	checking for -lpthread... yes
2022-07-18T07:19:09.049280Z	creating Makefile
2022-07-18T07:19:09.049393Z	
2022-07-18T07:19:09.049500Z	current directory:
2022-07-18T07:19:09.049605Z	/opt/buildhome/cache/bundle/ruby/2.7.0/gems/mini_racer-0.6.2/ext/mini_racer_extension
2022-07-18T07:19:09.049719Z	make "DESTDIR=" clean
2022-07-18T07:19:09.049824Z	
2022-07-18T07:19:09.049942Z	current directory:
2022-07-18T07:19:09.050062Z	/opt/buildhome/cache/bundle/ruby/2.7.0/gems/mini_racer-0.6.2/ext/mini_racer_extension
2022-07-18T07:19:09.050167Z	make "DESTDIR="
2022-07-18T07:19:09.050290Z	compiling mini_racer_extension.cc
2022-07-18T07:19:09.050405Z	mini_racer_extension.cc: In function ‘VALUE convert_v8_to_ruby(v8::Isolate*,
2022-07-18T07:19:09.050516Z	v8::Local<v8::Context>, v8::Local<v8::Value>)’:
2022-07-18T07:19:09.050622Z	mini_racer_extension.cc:573:18: warning: ‘stackCounter.StackCounter::isolate’
2022-07-18T07:19:09.050728Z	may be used uninitialized in this function [-Wmaybe-uninitialized]
2022-07-18T07:19:09.050832Z	     StackCounter stackCounter(isolate);
2022-07-18T07:19:09.050946Z	                  ^
2022-07-18T07:19:09.051063Z	linking shared-object mini_racer_extension.so
2022-07-18T07:19:09.051176Z	g++: error:
2022-07-18T07:19:09.051300Z	/opt/buildhome/cache/bundle/ruby/2.7.0/gems/libv8-node-16.10.0.0-x86_64-linux-musl/vendor/v8/x86_64-linux/libv8/obj/libv8_monolith.a:
2022-07-18T07:19:09.051412Z	No such file or directory
2022-07-18T07:19:09.051518Z	Makefile:260: recipe for target 'mini_racer_extension.so' failed
2022-07-18T07:19:09.051629Z	make: *** [mini_racer_extension.so] Error 1
2022-07-18T07:19:09.051737Z	
2022-07-18T07:19:09.051844Z	make failed, exit code 2
2022-07-18T07:19:09.051977Z	
2022-07-18T07:19:09.052086Z	Gem files will remain installed in
2022-07-18T07:19:09.052192Z	/opt/buildhome/cache/bundle/ruby/2.7.0/gems/mini_racer-0.6.2 for inspection.
2022-07-18T07:19:09.052312Z	Results logged to
2022-07-18T07:19:09.052421Z	/opt/buildhome/cache/bundle/ruby/2.7.0/extensions/x86_64-linux/2.7.0/mini_racer-0.6.2/gem_make.out
2022-07-18T07:19:09.052534Z	
2022-07-18T07:19:09.052641Z	An error occurred while installing mini_racer (0.6.2), and Bundler cannot
2022-07-18T07:19:09.052747Z	continue.
2022-07-18T07:19:09.052851Z	Make sure that `gem install mini_racer -v '0.6.2' --source
2022-07-18T07:19:09.052967Z	'https://rubygems.org/'` succeeds before bundling.
2022-07-18T07:19:09.053071Z	
2022-07-18T07:19:09.053176Z	In Gemfile:
2022-07-18T07:19:09.053301Z	  mini_racer
2022-07-18T07:19:09.201217Z	Error during gem install
2022-07-18T07:19:09.212434Z	Failed: build command exited with code: 1
2022-07-18T07:19:10.181829Z	Failed: an internal error occurred

what wrong with this??

I’m not super familiar with Jekyll, but here’s a couple of things to try at first:

Hi, I have the same problem with @alirezad

The errors looks like this:


|11:28:53.080|Fetching mini_racer 0.6.2|
|---|---|
|11:28:53.147|Installing mini_racer 0.6.2 with native extensions|
|11:28:55.109|Gem::Ext::BuildError: ERROR: Failed to build gem native extension.|
|11:28:55.109||
|11:28:55.109|current directory:|
|11:28:55.109|/opt/buildhome/cache/bundle/ruby/2.7.0/gems/mini_racer-0.6.2/ext/mini_racer_extension|
|11:28:55.109|/opt/buildhome/.rvm/rubies/ruby-2.7.5/bin/ruby -I|
|11:28:55.109|/opt/buildhome/.rvm/rubies/ruby-2.7.5/lib/ruby/2.7.0 -r|
|11:28:55.109|./siteconf20220719-3102-1kzuj98.rb extconf.rb|
|11:28:55.109|checking for -lpthread... yes|
|11:28:55.110|creating Makefile|
|11:28:55.110||
|11:28:55.110|current directory:|
|11:28:55.110|/opt/buildhome/cache/bundle/ruby/2.7.0/gems/mini_racer-0.6.2/ext/mini_racer_extension|
|11:28:55.110|make DESTDIR= clean|
|11:28:55.110||
|11:28:55.110|current directory:|
|11:28:55.110|/opt/buildhome/cache/bundle/ruby/2.7.0/gems/mini_racer-0.6.2/ext/mini_racer_extension|
|11:28:55.110|make DESTDIR=|
|11:28:55.110|compiling mini_racer_extension.cc|
|11:28:55.111|mini_racer_extension.cc: In function ‘VALUE convert_v8_to_ruby(v8::Isolate*,|
|11:28:55.111|v8::Local<v8::Context>, v8::Local<v8::Value>)’:|
|11:28:55.111|mini_racer_extension.cc:573:18: warning: ‘stackCounter.StackCounter::isolate’|
|11:28:55.111|may be used uninitialized in this function [-Wmaybe-uninitialized]|
|11:28:55.111|     StackCounter stackCounter(isolate);|
|11:28:55.111|                  ^|
|11:28:55.111|linking shared-object mini_racer_extension.so|
|11:28:55.111|g++: error:|
|11:28:55.111|/opt/buildhome/cache/bundle/ruby/2.7.0/gems/libv8-node-16.10.0.0-x86_64-linux-musl/vendor/v8/x86_64-linux/libv8/obj/libv8_monolith.a:|
|11:28:55.112|No such file or directory|
|11:28:55.112|Makefile:260: recipe for target 'mini_racer_extension.so' failed|
|11:28:55.112|make: *** [mini_racer_extension.so] Error 1|
|11:28:55.112||
|11:28:55.112|make failed, exit code 2|
|11:28:55.112||
|11:28:55.112|Gem files will remain installed in|
|11:28:55.112|/opt/buildhome/cache/bundle/ruby/2.7.0/gems/mini_racer-0.6.2 for inspection.|
|11:28:55.112|Results logged to|
|11:28:55.112|/opt/buildhome/cache/bundle/ruby/2.7.0/extensions/x86_64-linux/2.7.0/mini_racer-0.6.2/gem_make.out|
|11:28:55.113||
|11:28:55.113|An error occurred while installing mini_racer (0.6.2), and Bundler cannot|
|11:28:55.113|continue.|
|11:28:55.113|Make sure that `gem install mini_racer -v '0.6.2' --source|
|11:28:55.113|'https://rubygems.org/'` succeeds before bundling.|
|11:28:55.113||
|11:28:55.114|In Gemfile:|
|11:28:55.114|  mini_racer|
|11:28:55.219|Error during gem install|
|11:28:55.222|Failed: build command exited with code: 1|
|11:28:56.453|Failed: an internal error occurred|

I test with Ruby 2.7.5.

On local and GitLab pages it’s working normally with same source code and pipeline.

Some suggest to run the following before running jekyll build:

gem install bundler

gem install jekyll

ref: ruby - Error installing jekyll: ERROR: Failed to build gem native extension - Stack Overflow

However I don’t know how to add multi command on build.

Please check.

Hi guys, just a bit update.

I set the build command to the following:

gem install bundler && gem install jekyll && bundle install && bundle exec jekyll build

with the expectation that the pipeline will use clean state of ruby bundle. However, from the following logs, I found that by default for Ruby Build, the gem bundle you will get from Cloudflare cache is gem for Ruby v2.7.0 (Not the ruby version we use, in my case 2.7.5 or 3.1 like on GitLab Pages):


|12:05:15.960|Required ruby-2.7.5 is not installed.|
|---|---|
|12:05:15.960|To install do: 'rvm install ruby-2.7.5'|
|12:05:15.972|Attempting ruby version 2.7.5, read from .ruby-version file|
|12:05:18.002|e[0;33m|
|12:05:18.002|** WARNING **|
|12:05:18.002|Using custom ruby version 2.7.5, this will slow down the build.|
|12:05:18.002|To ensure fast builds, set the RUBY_VERSION environment variable, or .ruby-version file, to an included ruby version.|
|12:05:18.002|Included versions: 2.6.2 2.7.1|
|12:05:18.003|e[0m|
|12:05:18.731|Required ruby-2.7.5 is not installed - installing.|
|12:05:19.692|Searching for binary rubies, this might take some time.|
|12:05:21.914|Found remote file https://rubies.travis-ci.org/ubuntu/16.04/x86_64/ruby-2.7.5.tar.bz2|
|12:05:21.937|Checking requirements for ubuntu.|
|12:05:22.597|Requirements installation successful.|
|12:05:22.883|ruby-2.7.5 - #configure|
|12:05:22.894|ruby-2.7.5 - #download|
|12:05:35.274|No checksum for downloaded archive, recording checksum in user configuration.|
|12:05:35.392|ruby-2.7.5 - #validate archive|
|12:05:37.801|ruby-2.7.5 - #extract|
|12:05:39.275|ruby-2.7.5 - #validate binary|
|12:05:41.706|ruby-2.7.5 - #setup|
|12:05:43.187|ruby-2.7.5 - #gemset created /opt/buildhome/.rvm/gems/[email protected]|
|12:05:43.785|ruby-2.7.5 - #importing gemset /opt/buildhome/.rvm/gemsets/global.gems........................................|
|12:05:44.122|ruby-2.7.5 - #generating global wrappers.......|
|12:05:44.272|ruby-2.7.5 - #gemset created /opt/buildhome/.rvm/gems/ruby-2.7.5|
|12:05:44.517|ruby-2.7.5 - #importing gemsetfile /opt/buildhome/.rvm/gemsets/default.gems evaluated to empty gem list|
|12:05:44.914|ruby-2.7.5 - #generating default wrappers.......|
|12:05:45.831|Using /opt/buildhome/.rvm/gems/ruby-2.7.5|
|12:05:46.573|Using ruby version 2.7.5|
|12:05:46.829|Using PHP version 5.6|
|12:05:46.830|Started restoring cached ruby gems|
|12:05:46.842|Finished restoring cached ruby gems|
|12:05:46.843|Installing gem bundle|
|12:05:47.038|[DEPRECATED] The `--path` flag is deprecated because it relies on being remembered across bundler invocations, which bundler will no longer do in future versions. Instead please use `bundle config set path '/opt/buildhome/cache/bundle'`, and stop using this flag|
|12:05:47.137|[DEPRECATED] The --binstubs option will be removed in favor of `bundle binstubs`|
|12:05:49.159|Fetching gem metadata from https://rubygems.org/........|
|12:05:49.263|Fetching gem metadata from https://rubygems.org/.|
|12:05:49.436|Resolving dependencies...|
|12:05:49.474|Fetching concurrent-ruby 1.1.10|
|12:05:49.554|Installing concurrent-ruby 1.1.10|
|12:05:49.757|Fetching i18n 1.12.0|
|12:05:49.823|Installing i18n 1.12.0|
|12:05:49.879|Fetching minitest 5.16.2|
|12:05:49.955|Installing minitest 5.16.2|
|12:05:49.993|Fetching tzinfo 2.0.4|
|12:05:50.056|Installing tzinfo 2.0.4|
|12:05:50.117|Fetching activesupport 7.0.3.1|
|12:05:50.192|Installing activesupport 7.0.3.1|
|12:05:50.476|Fetching public_suffix 4.0.7|
|12:05:50.534|Installing public_suffix 4.0.7|
|12:05:50.587|Fetching addressable 2.8.0|
|12:05:50.650|Installing addressable 2.8.0|
|12:05:50.688|Fetching latex-decode 0.3.2|
|12:05:50.741|Installing latex-decode 0.3.2|
|12:05:50.775|Fetching bibtex-ruby 6.0.0|
|12:05:50.836|Installing bibtex-ruby 6.0.0|
|12:05:50.926|Using bundler 2.1.4|
|12:05:50.928|Fetching namae 1.1.1|
|12:05:50.984|Installing namae 1.1.1|
|12:05:51.021|Fetching citeproc 1.0.10|
|12:05:51.074|Installing citeproc 1.0.10|
|12:05:51.106|Fetching rexml 3.2.5|
|12:05:51.173|Installing rexml 3.2.5|
|12:05:51.257|Fetching csl 1.6.0|
|12:05:51.311|Installing csl 1.6.0|
|12:05:51.369|Fetching citeproc-ruby 1.1.14|
|12:05:51.422|Installing citeproc-ruby 1.1.14|
|12:05:51.467|Fetching colorator 1.1.0|
|12:05:51.517|Installing colorator 1.1.0|
|12:05:51.531|Fetching crass 1.0.6|
|12:05:51.571|Installing crass 1.0.6|
|12:05:51.593|Fetching csl-styles 1.0.1.11|
|12:05:52.016|Installing csl-styles 1.0.1.11|
|12:06:01.683|Fetching cssminify2 2.0.1|
|12:06:01.761|Installing cssminify2 2.0.1|
|12:06:01.878|Fetching eventmachine 1.2.7|
|12:06:01.945|Installing eventmachine 1.2.7 with native extensions|
|12:06:12.837|Fetching http_parser.rb 0.8.0|
|12:06:12.911|Installing http_parser.rb 0.8.0 with native extensions|
|12:06:13.861|Fetching em-websocket 0.5.3|
|12:06:13.909|Installing em-websocket 0.5.3|
|12:06:13.965|Fetching execjs 2.8.1|
|12:06:14.015|Installing execjs 2.8.1|
|12:06:14.039|Fetching mini_portile2 2.8.0|
|12:06:14.086|Installing mini_portile2 2.8.0|
|12:06:14.122|Fetching racc 1.6.0|
|12:06:14.218|Installing racc 1.6.0 with native extensions|
|12:06:15.020|Fetching nokogiri 1.13.7 (x86_64-linux)|
|12:06:15.280|Installing nokogiri 1.13.7 (x86_64-linux)|
|12:06:15.708|Fetching loofah 2.18.0|
|12:06:15.772|Installing loofah 2.18.0|
|12:06:15.799|Fetching sax-machine 1.3.2|
|12:06:15.849|Installing sax-machine 1.3.2|
|12:06:15.884|Fetching feedjira 3.2.1|
|12:06:15.968|Installing feedjira 3.2.1|
|12:06:16.113|Fetching ffi 1.15.5|
|12:06:16.241|Installing ffi 1.15.5 with native extensions|
|12:06:22.251|Fetching forwardable-extended 2.6.0|
|12:06:22.300|Installing forwardable-extended 2.6.0|
|12:06:22.311|Fetching gemoji 3.0.1|
|12:06:22.357|Installing gemoji 3.0.1|
|12:06:22.390|Fetching html-pipeline 2.14.2|
|12:06:22.455|Installing html-pipeline 2.14.2|
|12:06:22.493|Fetching htmlcompressor 0.4.0|
|12:06:22.560|Installing htmlcompressor 0.4.0|
|12:06:22.716|Fetching mime-types-data 3.2022.0105|
|12:06:22.785|Installing mime-types-data 3.2022.0105|
|12:06:22.835|Fetching mime-types 3.4.1|
|12:06:22.905|Installing mime-types 3.4.1|
|12:06:22.944|Fetching multi_xml 0.6.0|
|12:06:22.988|Installing multi_xml 0.6.0|
|12:06:23.008|Fetching httparty 0.20.0|
|12:06:23.067|Installing httparty 0.20.0|
|12:06:23.133|Fetching sassc 2.4.0|
|12:06:23.206|Installing sassc 2.4.0 with native extensions|
|12:08:16.058|Fetching jekyll-sass-converter 2.2.0|
|12:08:16.106|Installing jekyll-sass-converter 2.2.0|
|12:08:16.118|Fetching rb-fsevent 0.11.1|
|12:08:16.212|Installing rb-fsevent 0.11.1|
|12:08:16.245|Fetching rb-inotify 0.10.1|
|12:08:16.293|Installing rb-inotify 0.10.1|
|12:08:16.316|Fetching listen 3.7.1|
|12:08:16.368|Installing listen 3.7.1|
|12:08:16.411|Fetching jekyll-watch 2.2.1|
|12:08:16.458|Installing jekyll-watch 2.2.1|
|12:08:16.471|Fetching kramdown 2.4.0|
|12:08:16.535|Installing kramdown 2.4.0|
|12:08:17.136|Fetching kramdown-parser-gfm 1.1.0|
|12:08:17.185|Installing kramdown-parser-gfm 1.1.0|
|12:08:17.229|Fetching liquid 4.0.3|
|12:08:17.296|Installing liquid 4.0.3|
|12:08:17.407|Fetching mercenary 0.4.0|
|12:08:17.457|Installing mercenary 0.4.0|
|12:08:17.491|Fetching pathutil 0.16.2|
|12:08:17.540|Installing pathutil 0.16.2|
|12:08:17.554|Fetching rouge 3.29.0|
|12:08:17.648|Installing rouge 3.29.0|
|12:08:18.170|Fetching safe_yaml 1.0.5|
|12:08:18.221|Installing safe_yaml 1.0.5|
|12:08:18.280|Fetching unicode-display_width 1.8.0|
|12:08:18.326|Installing unicode-display_width 1.8.0|
|12:08:18.342|Fetching terminal-table 2.0.0|
|12:08:18.393|Installing terminal-table 2.0.0|
|12:08:18.419|Fetching jekyll 4.2.2|
|12:08:18.486|Installing jekyll 4.2.2|
|12:08:18.694|Fetching jekyll-archives 2.2.1|
|12:08:18.734|Installing jekyll-archives 2.2.1|
|12:08:18.745|Fetching jekyll-diagrams 0.10.0|
|12:08:18.991|Installing jekyll-diagrams 0.10.0|
|12:08:19.295|Fetching jekyll-email-protect 1.1.0|
|12:08:19.356|Installing jekyll-email-protect 1.1.0|
|12:08:19.369|Fetching jekyll-feed 0.16.0|
|12:08:19.412|Installing jekyll-feed 0.16.0|
|12:08:19.427|Fetching jekyll-imagemagick 1.4.0|
|12:08:19.477|Installing jekyll-imagemagick 1.4.0|
|12:08:19.494|Fetching json 2.6.2|
|12:08:19.545|Installing json 2.6.2 with native extensions|
|12:08:21.591|Fetching json-minify 0.0.3|
|12:08:21.639|Installing json-minify 0.0.3|
|12:08:21.656|Fetching uglifier 4.2.0|
|12:08:21.721|Installing uglifier 4.2.0|
|12:08:21.759|Fetching jekyll-minifier 0.1.10|
|12:08:21.813|Installing jekyll-minifier 0.1.10|
|12:08:21.846|Fetching jekyll-paginate-v2 3.0.0|
|12:08:21.903|Installing jekyll-paginate-v2 3.0.0|
|12:08:21.940|Fetching jekyll-scholar 7.1.0|
|12:08:21.993|Installing jekyll-scholar 7.1.0|
|12:08:22.054|Fetching jekyll-sitemap 1.4.0|
|12:08:22.149|Installing jekyll-sitemap 1.4.0|
|12:08:22.223|Fetching jekyll-target-blank 2.0.0|
|12:08:22.300|Installing jekyll-target-blank 2.0.0|
|12:08:22.354|Fetching jekyll-twitter-plugin 2.1.0|
|12:08:22.448|Installing jekyll-twitter-plugin 2.1.0|
|12:08:22.493|Fetching jemoji 0.12.0|
|12:08:22.548|Installing jemoji 0.12.0|
|12:08:22.556|Fetching libv8-node 16.10.0.0 (x86_64-linux-musl)|
|12:08:23.816|Installing libv8-node 16.10.0.0 (x86_64-linux-musl)|
|12:08:25.966|Fetching mini_racer 0.6.2|
|12:08:26.022|Installing mini_racer 0.6.2 with native extensions|
|12:08:27.980|Gem::Ext::BuildError: ERROR: Failed to build gem native extension.|
|12:08:27.980||
|12:08:27.980|current directory:|
|12:08:27.980|/opt/buildhome/cache/bundle/ruby/2.7.0/gems/mini_racer-0.6.2/ext/mini_racer_extension|
|12:08:27.980|/opt/buildhome/.rvm/rubies/ruby-2.7.5/bin/ruby -I|
|12:08:27.981|/opt/buildhome/.rvm/rubies/ruby-2.7.5/lib/ruby/2.7.0 -r|
|12:08:27.981|./siteconf20220719-3103-c0a7ni.rb extconf.rb|
|12:08:27.981|checking for -lpthread... yes|
|12:08:27.981|creating Makefile|
|12:08:27.981||
|12:08:27.981|current directory:|
|12:08:27.981|/opt/buildhome/cache/bundle/ruby/2.7.0/gems/mini_racer-0.6.2/ext/mini_racer_extension|
|12:08:27.981|make DESTDIR= clean|
|12:08:27.982||
|12:08:27.982|current directory:|
|12:08:27.982|/opt/buildhome/cache/bundle/ruby/2.7.0/gems/mini_racer-0.6.2/ext/mini_racer_extension|
|12:08:27.982|make DESTDIR=|
|12:08:27.982|compiling mini_racer_extension.cc|
|12:08:27.982|mini_racer_extension.cc: In function ‘VALUE convert_v8_to_ruby(v8::Isolate*,|
|12:08:27.982|v8::Local<v8::Context>, v8::Local<v8::Value>)’:|
|12:08:27.983|mini_racer_extension.cc:573:18: warning: ‘stackCounter.StackCounter::isolate’|
|12:08:27.983|may be used uninitialized in this function [-Wmaybe-uninitialized]|
|12:08:27.983|     StackCounter stackCounter(isolate);|
|12:08:27.983|                  ^|
|12:08:27.983|linking shared-object mini_racer_extension.so|
|12:08:27.983|g++: error:|
|12:08:27.983|/opt/buildhome/cache/bundle/ruby/2.7.0/gems/libv8-node-16.10.0.0-x86_64-linux-musl/vendor/v8/x86_64-linux/libv8/obj/libv8_monolith.a:|
|12:08:27.983|No such file or directory|
|12:08:27.983|Makefile:260: recipe for target 'mini_racer_extension.so' failed|
|12:08:27.983|make: *** [mini_racer_extension.so] Error 1|
|12:08:27.984||
|12:08:27.984|make failed, exit code 2|
|12:08:27.984||
|12:08:27.984|Gem files will remain installed in|
|12:08:27.984|/opt/buildhome/cache/bundle/ruby/2.7.0/gems/mini_racer-0.6.2 for inspection.|
|12:08:27.984|Results logged to|
|12:08:27.984|/opt/buildhome/cache/bundle/ruby/2.7.0/extensions/x86_64-linux/2.7.0/mini_racer-0.6.2/gem_make.out|
|12:08:27.984||
|12:08:27.984|An error occurred while installing mini_racer (0.6.2), and Bundler cannot|
|12:08:27.984|continue.|
|12:08:27.985|Make sure that `gem install mini_racer -v '0.6.2' --source|
|12:08:27.985|'https://rubygems.org/'` succeeds before bundling.|
|12:08:27.985||
|12:08:27.985|In Gemfile:|
|12:08:27.985|  mini_racer|
|12:08:28.093|Error during gem install|
|12:08:28.099|Failed: build command exited with code: 1|
|12:08:28.998|Failed: an internal error occurred|

Is there any method to NOT using the cache? or get the cache with the specific ruby version we define?

There is no cache with Pages builds - you can ignore any logs that indicate as such, as they’re simply remnants from the current build image Pages is using.

As for setting a specific Ruby version, you can do so using the RUBY_VERSION env var, yes: see https://developers.cloudflare.com/pages/platform/build-configuration/#language-support-and-tools for details.

I already added the .ruby-version and RUBY_VERSION env variable as described on the documentation, the error is same.

I don’t think we can ignore the logs, as from the build log, it’s clear that the build using bundle from Ruby 2.7.0 instead of 2.7.5 or any Ruby version that I defined on the file or env variable.

I think @tobi / @cloonan (Cloudflare team) must check it.